@echo off

rmdir /s /q .\dist
call npm install
call npm run build

"C:\syncthing\data1\common-tools\WinSCP-5.11.2-Portable\WinSCP.com" ^
  /log="WinSCP.log" /ini=nul ^
  /command ^
    "open sftp://root:songjun1@101.132.161.78/ -hostkey=""ssh-ed25519 256 34:00:7d:e0:4b:ef:fe:4d:f8:59:84:8e:58:6a:46:aa""" ^
    "lpwd" ^
	"lcd dist" ^
    "put * /root/hemodialysis/pc/" ^
    "exit"
	

set WINSCP_RESULT=%ERRORLEVEL%
if %WINSCP_RESULT% equ 0 (
  echo Success
) else (
  echo Error
)

exit /b %WINSCP_RESULT%


